
<!DOCTYPE html>
<html>
<head>
	<title>JS function Exo 3 tableaux</title>
</head>
<body>
Exo 3 : 
tabeau qui génère 100 valeurs aléatoires. compris entre 1 et 1000
le tableau compte tous les entiers tirés
donnent un récapitulatif de tous les entiers tirés

<script>

function aleatoire () {
	tableau = [];
/*on veut un tableau qui génère 100 valeurs compris entre 1 et 1000*/
	for (var i = 0; i < 100; i++){
	tableau[i] = Math.ceil(Math.random()*1000);
	}
	tableau.sort(function (a,b){return a-b});
	return tableau;
}

function sort (tableau) {
	tableau.sort(function (a,b){return a-b});

}

function count (tableau){
	tableau = [];
	var count = 0;
	var tampon = ""; 

	for (var i = 0; i < tableau.length; i++) {
		if (tableau[i] != tampon) {
			console.log ("on compte " + count + " fois le nombre " + tableau[i] + " ! ");
		}
		if (tableau[i] == tampon) {
			count = count + 1;  
		}
		count++;
		tampon = tableau[i];
	}
		
}


///////////////////// COORECTION NABIL //////////////////////////////////////////////////////////////////

function add(max) {

// Création  d'un tableau avec 100 valeurs comprises entre 1 et 1000
    var insert = [];

    for (var i = 0; i < 100; i++) {
        insert.push(Math.ceil(Math.random()*max-1)+1);
    }

// Tri les valeurs du tableau par ordre croissant
    insert.sort(function(a, b) {return a-b}); // Fait en sorte que par exemple soit 20 soit plus petit que 3 (ce qui n'est pas le cas dans le cas de "20" et "3")
    console.log(insert);

// Compte des valeurs par groupe
    var count = 0;
    var regroup = ""; // Cette variable va servir de "mémoire tampon" pour comparer deux valeurs entres elles

    for (var i = 0; i <= insert.length; i++) {

       if (insert[i] != regroup) { // On vérifie si la valeur de regroup ("null" au début de la boucle) avec la première valeur d'insert[]

              if (count > 0) {
               console.log("il y a "+ count +" fois le nombre "+ regroup +""); // L'affichage du compte des valeurs ne se fait que lorsque les deux valeurs ne sont plus identiques, ou sinon on passe directement à count++
           }

           regroup = insert[i]; // Une fois que regroup rencontre une valeur du tableau insert[] différente, regroup prend cette valeur à l'index insert[i] pour qu'au prochain tour de boucle on puisse comparer insert[i] avec insert[i+1] car insert[i] sera stocké dans regroup
           count = 0; // Le compte et alors remis à zéro pour la nouvelle valeur à comparer

       }
          
        count++;
           
   }
}


///////////////////CONSOLE //////////////////////////////////////////////////////////
/*tableau = [];
[]

for (var i = 0; i < 100; i++){
	tableau[i] = Math.ceil(Math.random()*1000);
	}
102

tableau
[43,418,840,etc,102]*/

</script>

</body>
</html>